Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 477062 - multi-org, system sdc has access to private channels that were previously public.
Summary: multi-org, system sdc has access to private channels that were previously pub...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Spacewalk
Classification: Community
Component: WebUI
Version: 0.4
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jesus M. Rodriguez
QA Contact: wes hayutin
URL: http://scooby.rdu.redhat.com/rhn/syst...
Whiteboard:
Depends On:
Blocks: space04
TreeView+ depends on / blocked
 
Reported: 2008-12-18 21:26 UTC by wes hayutin
Modified: 2009-01-22 16:31 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-22 16:31:24 UTC


Attachments (Terms of Use)

Description wes hayutin 2008-12-18 21:26:18 UTC
Description of problem:

Create two orgs A and B, w/ trust relationships
create a public shared channel in A, called mychannel

Register a system in B
Change the base channel to the system to "mychannel"

In org A change mychannel from public to private

Org B 
system still has access to mychannel in the SDC.
The channel is visible, and packages are visible

Required change.

When the channel is moved to private, the consuming orgs should not be able to see
the channel

Comment 1 Shannon Hughes 2009-01-05 20:12:31 UTC
looks like this functionality is missing. we need to loop through the systems of orgs that are bumped from changing public->private or protected->private. 

moving back to zeus queue

Comment 2 Jesus M. Rodriguez 2009-01-07 20:57:26 UTC
be9df755f871c73ee302bb57d0341fd371ea452a

Comment 3 Jesus M. Rodriguez 2009-01-15 03:41:40 UTC
Followed test plan in original comment.
After logging in with the second org, the system had a base channel of
(none). And access to the shared channel is no longer.


Note You need to log in before you can comment on or make changes to this bug.